« MediaWiki:Common.css » : différence entre les versions

De Sunrise Project FanWiki
Aller à la navigation Aller à la recherche
Aucun résumé des modifications
Aucun résumé des modifications
Ligne 69 : Ligne 69 :
     padding: 0;
     padding: 0;
     width: 135px;
     width: 135px;
}
/* CHARACTER FRAME - ELEMENTS*/
.charframe-gallery {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
}
.charframe-image {
    text-align: left;
}
.charframe-title {
    font-size: 14px;
    font-weight: bold;
    text-align: center;
}
.charframe-subtitle {
    font-size: 12px;
    font-weight: bold;
    text-align: center;
}
}

Version du 4 octobre 2024 à 16:22

/* FONT */

@import url('https://fonts.googleapis.com/css2?family=Roboto&display=swap');

body {
  font-family: 'Roboto', sans-serif;
  font-size: 17px;
}

#content h1, 
#content h2 {
  font-family: 'Roboto', sans-serif;
}

/* INFOBOX */

.infobox {
    background: #eee;
    border: 2px solid #aaa;
    float: right;
    margin: 0 0 1em 1em;
    /*padding: 1em;*/
    width: 400px;
}

.infobox-title {
    background: #aaa;
    border: solid #aaa;
    border-width: 1px 0px 0px 0px;
    font-size: 1.5em;
    font-weight: bold;
    text-align: center;
    padding: 0.5em;
}

.infobox-image {
    text-align: center;
    margin: 1em 1em 1em 1em;
}

.infobox table {
    border-spacing: 0;
    border-collapse: collapse;
}

.infobox th {
    border: solid #aaa;
    border-width: 1px 0px 0px 0px;
    padding: 4px 6px;
    text-align: left;
    vertical-align: top;
    width: 120px;
}

.infobox td {
    border: solid #aaa;
    border-width: 1px 0px 0px 0px;
    padding: 4px 6px;
    vertical-align: top;
    width: 280px;
}

/* CHARACTER FRAME */

.charframe {
    background: #eee;
    border: 2px solid #aaa;
    float: left;
    padding: 0;
    width: 135px;
}

/* CHARACTER FRAME - ELEMENTS*/

.charframe-gallery {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
}

.charframe-image {
    text-align: left;
}

.charframe-title {
    font-size: 14px;
    font-weight: bold;
    text-align: center;
}

.charframe-subtitle {
    font-size: 12px;
    font-weight: bold;
    text-align: center;
}